# LoadExec Library

## Data Structures

struct | SceKernelLoadExecParam
| Structure to pass to loadexec. More...

## Functions

int | sceKernelRegisterExitCallback (int cbid)
| Register callback.
void | sceKernelExitGame (void)
| Exit game and go back to the PSP browser.
int | sceKernelLoadExec (const char *file, struct SceKernelLoadExecParam *param)
| Execute a new game executable, limited when not running in kernel mode.

## Function Documentation

void sceKernelExitGame | ( | void |  | ) |

Exit game and go back to the PSP browser.

Note:
  You need to be in a thread in order for this function to work

int sceKernelLoadExec | ( | const char * | file,
|  | struct SceKernelLoadExecParam * | param
| ) |

Execute a new game executable, limited when not running in kernel mode.

Parameters:

  | file | - The file to execute.
  | param | - Pointer to a SceKernelLoadExecParam structure, or NULL.

Returns:
  < 0 on error, probably.

int sceKernelRegisterExitCallback | ( | int | cbid | ) |

Register callback.

Note:
  By installing the exit callback the home button becomes active. However if sceKernelExitGame is not called in the callback it is likely that the psp will just crash.

Example:

       int exit_callback(void) { sceKernelExitGame(); }

       cbid = sceKernelCreateCallback("ExitCallback", exit_callback, NULL);
       sceKernelRegisterExitCallback(cbid);

Parameters:

  | cbid | Callback id

Returns:
  < 0 on error